play.mvc.results

## Class NoResult

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.utils.FastRuntimeException
        - - play.mvc.results.Result
          - - play.mvc.results.NoResult

All Implemented Interfaces:
  java.io.Serializable

    public class NoResult
    extends Result

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(Http.Request request, Http.Response response)`

### Methods inherited from class play.mvc.results.Result

`getEncoding, setContentTypeIfNotSet`

### Methods inherited from class play.utils.FastRuntimeException

`fillInStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoResult

    public NoResult()

### Method Detail

#### apply

    public void apply(Http.Request request,
                      Http.Response response)

Specified by:
  `apply` in class `Result`